Site-wide Tags:  Linux(17) | CommandLine(12) | Ubuntu(10) | RemoteAccess(7) | Tools(7) | Vim(7) | LiftWeb(5) | SBT(5) | SoftwareDev(5) | Mac(5) | Scripts(4) | WebDev(4) | Diagrams(4) | Lifty(3) | NetworkDrives(3) | Processwire(3) | Security(3) | Fog(3) | VCS(3) | BestPractices(3) | RaspberryPi(2) | WebDesign(2) | Encryption(2) | Windows(2) | SSH(2) | WinCommandPrompt(2) | GitHubRepos(2) | Emacs(2) | PHP(2) | IDE(2) | ErrorMsgs(2) | JVM(2) | Hardware(2) | Bash(2) | Networks(2) | Graphviz(2) | Cloning | Cygwin | Graphics | Java | SystemRecovery | lessc | Maven | Python | PXE | Samba | LXDE | PackageManagement | LifeHacks | LESS |

This site has been archived and will no longer be updated.
You can find my new homepage at neilpahl.com.

Entry 4: Move to sbt 0.11.3 Broke Lifty

Topic: Lift   

Tags:  LiftWeb   SBT   Lifty   

Created on Wed, 27 Jun 2012.

I gave sbt 0.11.3 a go and lifty broke. I guess moving to the newest versions of sbt isn't the greatest idea, since it carries the potential for breaking its plugins. However, did I really need lifty anyways? Now I'm thinking not really.

Thanks to heiflo on github who has a nice project going that has a skeleton project using lift 2.4, and sbt 0.11.2. This project contains all the configurations and such sorted out for the new versions of sbt. I just need to clone the project from https://github.com/heiflo/lift-basic-2.4-sbt-0.11.2, cd into the directory and run ./sbt

The first load takes a while to download the dependancies, but then you are set. Now onto the coding...



PLEASE let me know if I'm doing something wrong, or if you have any suggestions or requests~

blog comments powered by Disqus

All Entries Within This Topic:

Subscribe to this topic:

Browse Topics: